Foxit PDF RDK

Public Member Functions | List of all members
RMSSecurityHandler Class Reference
Inheritance diagram for RMSSecurityHandler:

## Public Member Functions
| constructor ()
| Constructor. More...
| Initialize (encrypt_data, callback)
| Initialize current Microsoft RMS security handler. More...
Public Member Functions inherited from SecurityHandler
| constructor ()
| Constructor.
| GetSecurityType ()
| Get the encryption type of current security handler. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Additional Inherited Members
Static Public Attributes inherited from SecurityHandler
static | e_CipherAES
| Use AES encryption algorithm, with the key length be 16 bytes (as AES-128) or 32 bytes (as AES-256, only supported in PDF 2.0).
static | e_CipherNone
| Enumeration for Encryption Algorithm. More...
static | e_CipherRC4
| Use RC4 encryption algorithm, with the key length between 5 bytes and 16 bytes.

## Detailed Description

This class represents a RMS security handler, used for RMS encryption.

Note
  If module "RMS" is not defined in the license information which is used in function Library.Initialize, that means user has no right in using RMS related functions and valid RMS security handler would not be constructed successfully and exception e_ErrNoRMSModuleRight would be thrown.

See also
  SecurityHandler

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

RMSSecurityHandler.constructor | ( |  | ) |

Constructor.

Note
  If module "RMS" is not defined in the license information which is used in function Library.Initialize, that means user has no right in using RMS related functions and this constructor will throw exception e_ErrNoRMSModuleRight.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ Initialize()

RMSSecurityHandler.Initialize | ( | encrypt_data | ,
|  | callback |
| ) |  |

Initialize current Microsoft RMS security handler.

If this function is successfully, Foxit PDF SDK will take over the input security callback object and user should not release this callback object directly anymore; otherwise unexpected crash may occurs later.
Foxit PDF SDK may release the security callback object by callback function SecurityCallback.Release (inherited from RMSSecurityCallback's parent class), when current security handler is released and find that the callback object has not been used by other object. So, user is recommended not to use the security callback object any more, after current security handler is released.

Parameters

  [in] | encrypt_data | A RMS encrypt data object.
  [in] | callback | A valid RMSSecurityCallback object, which is inherited and implemented by user for their own encryption and description algorithm. It should not be null.

Returns

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.